Loading...
Searching...
No Matches
ranges::reference_wrapper< T > Struct Template Reference
Functional
Inheritance diagram for ranges::reference_wrapper< T >:

## Public Types

using | reference = meta::if_< std::is_reference< T >, T, T & >
using | type = meta::_t< std::remove_reference< T > >

## Public Member Functions

constexpr reference | get () const noexcept
constexpr | operator reference () const noexcept
template<typename... > requires (!std::is_rvalue_reference<T>::value)
constexpr | operator std::reference_wrapper< type > () const noexcept
template<typename ... Args>
constexpr auto | operator() (Args &&...args) const CPP_AUTO_FUN_RETURNS_CONST_0(return invoke(static_cast< reference >(*t_)
template<typename U > requires (!same_as<uncvref_t<U>, reference_wrapper>) && constructible_from<base_, U>
constexpr | reference_wrapper (U &&u) noexcept(std::is_nothrow_constructible< base_, U >::value)